Uploaded image for project: 'MCollective'
  1. MCollective
  2. MCO-587

mcollective-client installed from gem on OSX fails with `require': cannot load such file -- mcollective/runner (LoadError)

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: MCO 2.8.0
    • Fix Version/s: MCO 2.8.1
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      1

      Description

      On OSX 10.10, with the gem installed in the user's .gem directory using gem install --user mcollective-client:

      → mco --version
      /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- mcollective/runner (LoadError)
      	from /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
      	from /Users/a.user/.gem/ruby/2.0.0/gems/mcollective-client-2.8.0/lib/mcollective.rb:52:in `<module:MCollective>'
      	from /Users/a.user/.gem/ruby/2.0.0/gems/mcollective-client-2.8.0/lib/mcollective.rb:28:in `<top (required)>'
      	from /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:73:in `require'
      	from /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:73:in `require'
      	from /Users/a.user/.gem/ruby/2.0.0/gems/mcollective-client-2.8.0/bin/mco:7:in `<top (required)>'
      	from /Users/a.user/.gem/ruby/2.0.0/bin/mco:23:in `load'
      	from /Users/a.user/.gem/ruby/2.0.0/bin/mco:23:in `<main>'
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                davewongillies David Gillies
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support